<?php

namespace App\Http\Controllers\Shop\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\SendsPasswordResetEmails;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Password;

class ForgotPasswordController extends Controller
{
    use SendsPasswordResetEmails;

    public function broker()
    {
        return Password::broker('customers');
    }

    public function showLinkRequestForm()
    {
        return view('Shop.auth.passwords.email');
    }

    protected function guard()
    {
        return Auth::guard('customer');
    }
}
